//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2021.08.04 at 08:18:05 PM EET 
//


package genericinterface.epg.edafa.com;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for transactionHistoryItem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="transactionHistoryItem">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="transactionDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="transactionType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="transactionAmount" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="recieverMsisdn" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="mainAccountNewBalance" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="dedicatedNewBalance" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="newOpenAmount" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="service" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="creditCardNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="paidAmount" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="serviceAmount" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="recieverCustomerCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "transactionHistoryItem", propOrder = {
    "transactionDate",
    "transactionType",
    "transactionAmount",
    "recieverMsisdn",
    "mainAccountNewBalance",
    "dedicatedNewBalance",
    "newOpenAmount",
    "service",
    "creditCardNumber",
    "paidAmount",
    "serviceAmount",
    "recieverCustomerCode"
})
public class TransactionHistoryItem {

    @XmlElement(required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar transactionDate;
    @XmlElement(required = true)
    protected String transactionType;
    protected long transactionAmount;
    @XmlElement(required = true)
    protected String recieverMsisdn;
    protected long mainAccountNewBalance;
    protected long dedicatedNewBalance;
    protected long newOpenAmount;
    @XmlElement(required = true)
    protected String service;
    @XmlElement(required = true)
    protected String creditCardNumber;
    protected long paidAmount;
    protected long serviceAmount;
    @XmlElement(required = true)
    protected String recieverCustomerCode;

    /**
     * Gets the value of the transactionDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getTransactionDate() {
        return transactionDate;
    }

    /**
     * Sets the value of the transactionDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setTransactionDate(XMLGregorianCalendar value) {
        this.transactionDate = value;
    }

    /**
     * Gets the value of the transactionType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTransactionType() {
        return transactionType;
    }

    /**
     * Sets the value of the transactionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTransactionType(String value) {
        this.transactionType = value;
    }

    /**
     * Gets the value of the transactionAmount property.
     * 
     */
    public long getTransactionAmount() {
        return transactionAmount;
    }

    /**
     * Sets the value of the transactionAmount property.
     * 
     */
    public void setTransactionAmount(long value) {
        this.transactionAmount = value;
    }

    /**
     * Gets the value of the recieverMsisdn property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRecieverMsisdn() {
        return recieverMsisdn;
    }

    /**
     * Sets the value of the recieverMsisdn property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRecieverMsisdn(String value) {
        this.recieverMsisdn = value;
    }

    /**
     * Gets the value of the mainAccountNewBalance property.
     * 
     */
    public long getMainAccountNewBalance() {
        return mainAccountNewBalance;
    }

    /**
     * Sets the value of the mainAccountNewBalance property.
     * 
     */
    public void setMainAccountNewBalance(long value) {
        this.mainAccountNewBalance = value;
    }

    /**
     * Gets the value of the dedicatedNewBalance property.
     * 
     */
    public long getDedicatedNewBalance() {
        return dedicatedNewBalance;
    }

    /**
     * Sets the value of the dedicatedNewBalance property.
     * 
     */
    public void setDedicatedNewBalance(long value) {
        this.dedicatedNewBalance = value;
    }

    /**
     * Gets the value of the newOpenAmount property.
     * 
     */
    public long getNewOpenAmount() {
        return newOpenAmount;
    }

    /**
     * Sets the value of the newOpenAmount property.
     * 
     */
    public void setNewOpenAmount(long value) {
        this.newOpenAmount = value;
    }

    /**
     * Gets the value of the service property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getService() {
        return service;
    }

    /**
     * Sets the value of the service property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setService(String value) {
        this.service = value;
    }

    /**
     * Gets the value of the creditCardNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreditCardNumber() {
        return creditCardNumber;
    }

    /**
     * Sets the value of the creditCardNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreditCardNumber(String value) {
        this.creditCardNumber = value;
    }

    /**
     * Gets the value of the paidAmount property.
     * 
     */
    public long getPaidAmount() {
        return paidAmount;
    }

    /**
     * Sets the value of the paidAmount property.
     * 
     */
    public void setPaidAmount(long value) {
        this.paidAmount = value;
    }

    /**
     * Gets the value of the serviceAmount property.
     * 
     */
    public long getServiceAmount() {
        return serviceAmount;
    }

    /**
     * Sets the value of the serviceAmount property.
     * 
     */
    public void setServiceAmount(long value) {
        this.serviceAmount = value;
    }

    /**
     * Gets the value of the recieverCustomerCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRecieverCustomerCode() {
        return recieverCustomerCode;
    }

    /**
     * Sets the value of the recieverCustomerCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRecieverCustomerCode(String value) {
        this.recieverCustomerCode = value;
    }

}
